
Foreman - Bug #27907

Should be able to disable updating hostgroup from facts

09/23/2019 01:53 PM - Trey Dockendorf

Status: Closed   

Priority: Normal   

Assignee: Trey Dockendorf   

Category: Host groups   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7060

  

Description

In my environment we cache the hostgroup fact in files on a system and sometimes need to update the fact in Foreman and then run

puppet to update the fact on system. This is currently impossible because the fact uploaded from host will change the hostgroup in

Foreman.

This has been observed in Satellite 6.5.z.

Associated revisions

Revision 74c28c17 - 03/05/2020 03:24 PM - Trey Dockendorf

Fixes #27907 - Add update_hostgroups_from_facts setting

Allow hostgroup updates from facts to be disabled via the

update_hostgroups_from_facts setting

History

#1 - 09/23/2019 01:57 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7060 added

#2 - 03/05/2020 01:23 AM - The Foreman Bot

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/7060)

#3 - 03/05/2020 08:06 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7060 added

#4 - 03/05/2020 03:24 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#5 - 03/05/2020 04:01 PM - Trey Dockendorf

- Status changed from Ready For Testing to Closed

Applied in changeset 74c28c177e5df7143a4afc20452ced65b2ff53b4.

#6 - 05/14/2020 08:41 AM - Amit Upadhye

- Category set to Host groups
